=== modified file 'drizzled/decimal.cc'
--- drizzled/decimal.cc	2010-10-02 21:15:42 +0000
+++ drizzled/decimal.cc	2010-10-06 18:16:00 +0000
@@ -289,7 +289,7 @@
   String tmp(buff, sizeof(buff), &my_charset_bin);
   if (charset->mbminlen > 1)
   {
-    uint32_t dummy_errors;
+    size_t dummy_errors;
     tmp.copy(from, length, charset, &my_charset_utf8_general_ci, &dummy_errors);
     from= tmp.ptr();
     length=  tmp.length();

=== modified file 'drizzled/field/blob.cc'
--- drizzled/field/blob.cc	2010-07-16 05:40:08 +0000
+++ drizzled/field/blob.cc	2010-10-06 18:16:00 +0000
@@ -219,7 +219,7 @@
 
   if (from == value.ptr())
   {
-    uint32_t dummy_offset;
+    size_t dummy_offset;
     if (!String::needs_conversion(length, cs, field_charset, &dummy_offset))
     {
       Field_blob::store_length(length);

=== modified file 'drizzled/field/enum.cc'
--- drizzled/field/enum.cc	2010-10-05 21:14:30 +0000
+++ drizzled/field/enum.cc	2010-10-06 18:16:00 +0000
@@ -191,7 +191,7 @@
   uint32_t *len= typelib->type_lengths;
   for (const char **pos= typelib->type_names; *pos; pos++, len++)
   {
-    uint32_t dummy_errors;
+    size_t dummy_errors;
     if (flag)
       res.append(',');
     /* convert to res.charset() == utf8, then quote */

=== modified file 'drizzled/function/locate.cc'
--- drizzled/function/locate.cc	2010-02-04 08:14:46 +0000
+++ drizzled/function/locate.cc	2010-10-06 18:16:00 +0000
@@ -50,7 +50,7 @@
   {
     start0= start= args[2]->val_int() - 1;
 
-    if ((start < 0) || (start > a->length()))
+    if ((start < 0) || (start > static_cast<int64_t>(a->length())))
       return 0;
 
     /* start is now sufficiently valid to pass to charpos function */

=== modified file 'drizzled/function/str/collation.cc'
--- drizzled/function/str/collation.cc	2010-02-04 08:14:46 +0000
+++ drizzled/function/str/collation.cc	2010-10-06 18:16:00 +0000
@@ -27,7 +27,7 @@
 String *Item_func_collation::val_str(String *str)
 {
   assert(fixed == 1);
-  uint32_t dummy_errors;
+  size_t dummy_errors;
   const CHARSET_INFO * const cs= args[0]->collation.collation;
 
   null_value= 0;

=== modified file 'drizzled/function/str/concat.cc'
--- drizzled/function/str/concat.cc	2010-06-22 02:22:46 +0000
+++ drizzled/function/str/concat.cc	2010-10-06 18:16:00 +0000
@@ -121,7 +121,7 @@
           more than 25% of memory will be overcommitted on average.
         */
 
-        uint32_t concat_len= res->length() + res2->length();
+        size_t concat_len= res->length() + res2->length();
 
         if (tmp_value.alloced_length() < concat_len)
         {
@@ -291,7 +291,7 @@
         25% of memory will be overcommitted on average.
       */
 
-      uint32_t concat_len= res->length() + sep_str->length() + res2->length();
+      size_t concat_len= res->length() + sep_str->length() + res2->length();
 
       if (tmp_value.alloced_length() < concat_len)
       {

=== modified file 'drizzled/function/str/conv_charset.cc'
--- drizzled/function/str/conv_charset.cc	2010-02-04 08:14:46 +0000
+++ drizzled/function/str/conv_charset.cc	2010-10-06 18:16:00 +0000
@@ -30,7 +30,7 @@
   if (use_cached_value)
     return null_value ? 0 : &str_value;
   String *arg= args[0]->val_str(str);
-  uint32_t dummy_errors;
+  size_t dummy_errors;
   if (!arg)
   {
     null_value=1;

=== modified file 'drizzled/function/str/conv_charset.h'
--- drizzled/function/str/conv_charset.h	2010-02-04 08:14:46 +0000
+++ drizzled/function/str/conv_charset.h	2010-10-06 18:16:00 +0000
@@ -40,7 +40,7 @@
     conv_charset= cs;
     if (cache_if_const && args[0]->const_item())
     {
-      uint32_t errors= 0;
+      size_t errors= 0;
       String tmp, *str= args[0]->val_str(&tmp);
       if (!str || str_value.copy(str->ptr(), str->length(),
                                  str->charset(), conv_charset, &errors))

=== modified file 'drizzled/function/str/export_set.cc'
--- drizzled/function/str/export_set.cc	2010-02-04 08:14:46 +0000
+++ drizzled/function/str/export_set.cc	2010-10-06 18:16:00 +0000
@@ -74,7 +74,7 @@
   case 3:
     {
       /* errors is not checked - assume "," can always be converted */
-      uint32_t errors;
+      size_t errors;
       sep_buf.copy(STRING_WITH_LEN(","), &my_charset_bin, collation.collation, &errors);
       sep = &sep_buf;
     }

=== modified file 'drizzled/function/str/insert.cc'
--- drizzled/function/str/insert.cc	2010-06-21 19:59:41 +0000
+++ drizzled/function/str/insert.cc	2010-10-06 18:16:00 +0000
@@ -42,9 +42,9 @@
       args[3]->null_value)
     goto null;
 
-  if ((start < 0) || (start > res->length()))
+  if ((start < 0) || (start > static_cast<int64_t>(res->length())))
     return res;                                 // Wrong param; skip insert
-  if ((length < 0) || (length > res->length()))
+  if ((length < 0) || (length > static_cast<int64_t>(res->length())))
     length= res->length();
 
   /* start and length are now sufficiently valid to pass to charpos function */
@@ -52,9 +52,9 @@
    length= res->charpos((int) length, (uint32_t) start);
 
   /* Re-testing with corrected params */
-  if (start > res->length())
+  if (start > static_cast<int64_t>(res->length()))
     return res;
-  if (length > res->length() - start)
+  if (length > static_cast<int64_t>(res->length()) - start)
     length= res->length() - start;
 
   if ((uint64_t) (res->length() - length + res2->length()) >

=== modified file 'drizzled/function/time/typecast.cc'
--- drizzled/function/time/typecast.cc	2010-04-23 01:02:40 +0000
+++ drizzled/function/time/typecast.cc	2010-10-06 18:16:00 +0000
@@ -98,7 +98,7 @@
   else
   {
     // Convert character set if differ
-    uint32_t dummy_errors;
+    size_t dummy_errors;
     if (!(res= args[0]->val_str(&tmp_value)) ||
         str->copy(res->ptr(), res->length(), from_cs,
         cast_cs, &dummy_errors))

=== modified file 'drizzled/item/create.cc'
--- drizzled/item/create.cc	2010-10-02 21:15:42 +0000
+++ drizzled/item/create.cc	2010-10-06 18:16:00 +0000
@@ -1854,7 +1854,7 @@
 
   if (cs->mbminlen > 1)
   {
-    uint32_t dummy_errors;
+    size_t dummy_errors;
     sp= new (session->mem_root) Item_string("", 0, cs, DERIVATION_COERCIBLE);
     sp->str_value.copy(" ", 1, &my_charset_utf8_general_ci, cs, &dummy_errors);
   }

=== modified file 'drizzled/item/hex_string.cc'
--- drizzled/item/hex_string.cc	2010-02-04 08:14:46 +0000
+++ drizzled/item/hex_string.cc	2010-10-06 18:16:00 +0000
@@ -66,7 +66,7 @@
   // following assert is redundant, because fixed=1 assigned in constructor
   assert(fixed == 1);
   char *end= (char*) str_value.ptr()+str_value.length(),
-       *ptr= end - min(str_value.length(),(uint32_t)sizeof(int64_t));
+       *ptr= end - min(str_value.length(), sizeof(int64_t));
 
   uint64_t value=0;
   for (; ptr != end ; ptr++)
@@ -116,7 +116,7 @@
 void Item_hex_string::print(String *str, enum_query_type)
 {
   char *end= (char*) str_value.ptr() + str_value.length(),
-       *ptr= end - min(str_value.length(), (uint32_t)sizeof(int64_t));
+       *ptr= end - min(str_value.length(), sizeof(int64_t));
   str->append("0x");
   for (; ptr != end ; ptr++)
   {

=== modified file 'drizzled/item/string.cc'
--- drizzled/item/string.cc	2010-02-04 08:14:46 +0000
+++ drizzled/item/string.cc	2010-10-06 18:16:00 +0000
@@ -29,7 +29,7 @@
 Item *Item_string::safe_charset_converter(const CHARSET_INFO * const tocs)
 {
   Item_string *conv;
-  uint32_t conv_errors;
+  size_t conv_errors;
   char *ptr;
   String tmp, cstr, *ostr= val_str(&tmp);
   cstr.copy(ostr->ptr(), ostr->length(), ostr->charset(), tocs, &conv_errors);
@@ -57,7 +57,7 @@
 Item *Item_static_string_func::safe_charset_converter(const CHARSET_INFO * const tocs)
 {
   Item_string *conv;
-  uint32_t conv_errors;
+  size_t conv_errors;
   String tmp, cstr, *ostr= val_str(&tmp);
   cstr.copy(ostr->ptr(), ostr->length(), ostr->charset(), tocs, &conv_errors);
   if (conv_errors ||

=== modified file 'drizzled/key.cc'
--- drizzled/key.cc	2010-10-02 21:15:42 +0000
+++ drizzled/key.cc	2010-10-06 18:16:00 +0000
@@ -372,7 +372,7 @@
       }
 
       if (key_part->length < field->pack_length())
-        tmp.length(min(tmp.length(),(uint32_t)key_part->length));
+        tmp.length(min(tmp.length(), static_cast<size_t>(key_part->length)));
       to->append(tmp);
     }
     else

=== modified file 'drizzled/session.cc'
--- drizzled/session.cc	2010-09-28 06:27:36 +0000
+++ drizzled/session.cc	2010-10-06 18:16:00 +0000
@@ -1156,7 +1156,7 @@
     else
     {
       if (fixed_row_size)
-        used_length= min(res->length(),item->max_length);
+        used_length= min(res->length(), static_cast<size_t>(item->max_length));
       else
         used_length= res->length();
 

=== modified file 'drizzled/show.cc'
--- drizzled/show.cc	2010-07-29 16:44:36 +0000
+++ drizzled/show.cc	2010-10-06 18:16:00 +0000
@@ -149,7 +149,7 @@
     field_list.push_back(new Item_empty_string("Table",NAME_CHAR_LEN));
     // 1024 is for not to confuse old clients
     field_list.push_back(new Item_empty_string("Create Table",
-                                               max(buffer.length(),(uint32_t)1024)));
+                                               max(buffer.length(),(size_t)1024)));
   }
 
   if (session->client->sendFields(&field_list))

=== modified file 'drizzled/sql_load.cc'
--- drizzled/sql_load.cc	2010-10-02 21:15:42 +0000
+++ drizzled/sql_load.cc	2010-10-06 18:16:00 +0000
@@ -783,8 +783,8 @@
 
 
   /* Set of a stack for unget if long terminators */
-  uint32_t length= max(field_term_length,line_term_length)+1;
-  set_if_bigger(length,line_start.length());
+  size_t length= max(field_term_length,line_term_length)+1;
+  set_if_bigger(length, line_start.length());
   stack= stack_pos= (int*) memory::sql_alloc(sizeof(int)*length);
 
   if (!(buffer=(unsigned char*) calloc(1, buff_length+1)))

=== modified file 'drizzled/sql_string.cc'
--- drizzled/sql_string.cc	2010-10-02 21:15:42 +0000
+++ drizzled/sql_string.cc	2010-10-06 18:16:00 +0000
@@ -58,7 +58,7 @@
 { }
 
 
-String::String(uint32_t length_arg)
+String::String(size_t length_arg)
   : Ptr(NULL),
     str_length(0),
     Alloced_length(0),
@@ -70,14 +70,14 @@
 
 String::String(const char *str, const CHARSET_INFO * const cs)
   : Ptr(const_cast<char *>(str)),
-    str_length(static_cast<uint32_t>(strlen(str))),
+    str_length(static_cast<size_t>(strlen(str))),
     Alloced_length(0),
     alloced(false),
     str_charset(cs)
 { }
 
 
-String::String(const char *str, uint32_t len, const CHARSET_INFO * const cs)
+String::String(const char *str, size_t len, const CHARSET_INFO * const cs)
   : Ptr(const_cast<char *>(str)),
     str_length(len),
     Alloced_length(0),
@@ -86,7 +86,7 @@
 { }
 
 
-String::String(char *str, uint32_t len, const CHARSET_INFO * const cs)
+String::String(char *str, size_t len, const CHARSET_INFO * const cs)
   : Ptr(str),
     str_length(len),
     Alloced_length(len),
@@ -106,12 +106,12 @@
 
 void *String::operator new(size_t size, memory::Root *mem_root)
 {
-  return mem_root->alloc_root(static_cast<uint32_t>(size));
+  return mem_root->alloc_root(static_cast<size_t>(size));
 }
 
 String::~String() { free(); }
 
-bool String::real_alloc(uint32_t arg_length)
+bool String::real_alloc(size_t arg_length)
 {
   arg_length=ALIGN_SIZE(arg_length+1);
   str_length=0;
@@ -133,9 +133,9 @@
 ** (for C functions)
 */
 
-bool String::realloc(uint32_t alloc_length)
+bool String::realloc(size_t alloc_length)
 {
-  uint32_t len=ALIGN_SIZE(alloc_length+1);
+  size_t len=ALIGN_SIZE(alloc_length+1);
   if (Alloced_length < len)
   {
     char *new_ptr;
@@ -167,20 +167,20 @@
 
 bool String::set_int(int64_t num, bool unsigned_flag, const CHARSET_INFO * const cs)
 {
-  uint32_t l=20*cs->mbmaxlen+1;
+  size_t l=20*cs->mbmaxlen+1;
   int base= unsigned_flag ? 10 : -10;
 
   if (alloc(l))
     return true;
-  str_length=(uint32_t) (cs->cset->int64_t10_to_str)(cs,Ptr,l,base,num);
+  str_length=(size_t) (cs->cset->int64_t10_to_str)(cs,Ptr,l,base,num);
   str_charset=cs;
   return false;
 }
 
-bool String::set_real(double num,uint32_t decimals, const CHARSET_INFO * const cs)
+bool String::set_real(double num,size_t decimals, const CHARSET_INFO * const cs)
 {
   char buff[FLOATING_POINT_BUFFER];
-  uint32_t dummy_errors;
+  size_t dummy_errors;
   size_t len;
 
   str_charset=cs;
@@ -192,7 +192,7 @@
     return copy(buff, len, &my_charset_utf8_general_ci, cs, &dummy_errors);
   }
   len= internal::my_fcvt(num, decimals, buff, NULL);
-  return copy(buff, (uint32_t) len, &my_charset_utf8_general_ci, cs,
+  return copy(buff, (size_t) len, &my_charset_utf8_general_ci, cs,
               &dummy_errors);
 }
 
@@ -218,7 +218,7 @@
   return false;
 }
 
-bool String::copy(const char *str,uint32_t arg_length, const CHARSET_INFO * const cs)
+bool String::copy(const char *str,size_t arg_length, const CHARSET_INFO * const cs)
 {
   if (alloc(arg_length))
     return true;
@@ -240,7 +240,7 @@
   arg_length		Length of string to copy.
   from_cs		Character set to copy from
   to_cs			Character set to copy to
-  uint32_t *offset	Returns number of unaligned characters.
+  size_t *offset	Returns number of unaligned characters.
 
   RETURN
    0  No conversion needed
@@ -252,10 +252,10 @@
   character_set_results is NULL.
 */
 
-bool String::needs_conversion(uint32_t arg_length,
+bool String::needs_conversion(size_t arg_length,
 			      const CHARSET_INFO * const from_cs,
 			      const CHARSET_INFO * const to_cs,
-			      uint32_t *offset)
+			      size_t *offset)
 {
   *offset= 0;
   if (!to_cs ||
@@ -271,11 +271,11 @@
 
 
 
-bool String::set_or_copy_aligned(const char *str,uint32_t arg_length,
+bool String::set_or_copy_aligned(const char *str,size_t arg_length,
                                  const CHARSET_INFO * const cs)
 {
   /* How many bytes are in incomplete character */
-  uint32_t offset= (arg_length % cs->mbminlen);
+  size_t offset= (arg_length % cs->mbminlen);
 
   assert(!offset); /* All characters are complete, just copy */
 
@@ -285,9 +285,9 @@
 
 	/* Copy with charset conversion */
 
-bool String::copy(const char *str, uint32_t arg_length,
+bool String::copy(const char *str, size_t arg_length,
 		          const CHARSET_INFO * const,
-				  const CHARSET_INFO * const to_cs, uint32_t *errors)
+				  const CHARSET_INFO * const to_cs, size_t *errors)
 {
   *errors= 0;
   return copy(str, arg_length, to_cs);
@@ -313,14 +313,14 @@
 
 */
 
-bool String::set_ascii(const char *str, uint32_t arg_length)
+bool String::set_ascii(const char *str, size_t arg_length)
 {
   if (str_charset->mbminlen == 1)
   {
     set(str, arg_length, str_charset);
     return 0;
   }
-  uint32_t dummy_errors;
+  size_t dummy_errors;
   return copy(str, arg_length, &my_charset_utf8_general_ci, str_charset, &dummy_errors);
 }
 
@@ -341,7 +341,7 @@
   Append an ASCII string to the a string of the current character set
 */
 
-bool String::append(const char *s,uint32_t arg_length)
+bool String::append(const char *s,size_t arg_length)
 {
   if (!arg_length)
     return false;
@@ -372,7 +372,7 @@
   with character set recoding
 */
 
-bool String::append(const char *s,uint32_t arg_length, const CHARSET_INFO * const)
+bool String::append(const char *s,size_t arg_length, const CHARSET_INFO * const)
 {
   if (realloc(str_length + arg_length))
     return true;
@@ -383,8 +383,8 @@
 }
 
 
-bool String::append_with_prefill(const char *s,uint32_t arg_length,
-		 uint32_t full_length, char fill_char)
+bool String::append_with_prefill(const char *s,size_t arg_length,
+		 size_t full_length, char fill_char)
 {
   int t_length= arg_length > full_length ? arg_length : full_length;
 
@@ -400,19 +400,19 @@
   return false;
 }
 
-uint32_t String::numchars()
+size_t String::numchars()
 {
   return str_charset->cset->numchars(str_charset, Ptr, Ptr+str_length);
 }
 
-int String::charpos(int i,uint32_t offset)
+int String::charpos(int i,size_t offset)
 {
   if (i <= 0)
     return i;
   return str_charset->cset->charpos(str_charset,Ptr+offset,Ptr+str_length,i);
 }
 
-int String::strstr(const String &s,uint32_t offset)
+int String::strstr(const String &s,size_t offset)
 {
   if (s.length()+offset <= str_length)
   {
@@ -443,7 +443,7 @@
 ** Search string from end. Offset is offset to the end of string
 */
 
-int String::strrstr(const String &s,uint32_t offset)
+int String::strrstr(const String &s,size_t offset)
 {
   if (s.length() <= offset && offset <= str_length)
   {
@@ -475,13 +475,13 @@
   If wrong parameter or not enough memory, do nothing
 */
 
-bool String::replace(uint32_t offset,uint32_t arg_length,const String &to)
+bool String::replace(size_t offset,size_t arg_length,const String &to)
 {
   return replace(offset,arg_length,to.ptr(),to.length());
 }
 
-bool String::replace(uint32_t offset,uint32_t arg_length,
-                     const char *to, uint32_t to_length)
+bool String::replace(size_t offset,size_t arg_length,
+                     const char *to, size_t to_length)
 {
   long diff = (long) to_length-(long) arg_length;
   if (offset+arg_length <= str_length)
@@ -497,7 +497,7 @@
     {
       if (diff)
       {
-	if (realloc(str_length+(uint32_t) diff))
+	if (realloc(str_length+(size_t) diff))
 	  return true;
 	internal::bmove_upp((unsigned char*) Ptr+str_length+diff,
                             (unsigned char*) Ptr+str_length,
@@ -506,7 +506,7 @@
       if (to_length)
 	memcpy(Ptr+offset,to,to_length);
     }
-    str_length+=(uint32_t) diff;
+    str_length+=(size_t) diff;
   }
   return false;
 }
@@ -560,13 +560,13 @@
 
 int stringcmp(const String *s,const String *t)
 {
-  uint32_t s_len= s->length(), t_len= t->length(), len= min(s_len,t_len);
+  size_t s_len= s->length(), t_len= t->length(), len= min(s_len,t_len);
   int cmp= memcmp(s->ptr(), t->ptr(), len);
   return (cmp) ? cmp : (int) (s_len - t_len);
 }
 
 
-String *copy_if_not_alloced(String *to,String *from,uint32_t from_length)
+String *copy_if_not_alloced(String *to,String *from,size_t from_length)
 {
   if (from->Alloced_length >= from_length)
     return from;
@@ -615,17 +615,17 @@
 */
 
 
-uint32_t
+size_t
 well_formed_copy_nchars(const CHARSET_INFO * const to_cs,
-                        char *to, uint32_t to_length,
+                        char *to, size_t to_length,
                         const CHARSET_INFO * const from_cs,
-                        const char *from, uint32_t from_length,
-                        uint32_t nchars,
+                        const char *from, size_t from_length,
+                        size_t nchars,
                         const char **well_formed_error_pos,
                         const char **cannot_convert_error_pos,
                         const char **from_end_pos)
 {
-  uint32_t res;
+  size_t res;
 
   assert((to_cs == &my_charset_bin) ||
          (from_cs == &my_charset_bin) ||
@@ -651,7 +651,7 @@
   else
   {
     int well_formed_error;
-    uint32_t from_offset;
+    size_t from_offset;
 
     if ((from_offset= (from_length % to_cs->mbminlen)) &&
         (from_cs == &my_charset_bin))
@@ -661,7 +661,7 @@
         INSERT INTO t1 (ucs2_column) VALUES (0x01);
         0x01 -> 0x0001
       */
-      uint32_t pad_length= to_cs->mbminlen - from_offset;
+      size_t pad_length= to_cs->mbminlen - from_offset;
       memset(to, 0, pad_length);
       memmove(to + pad_length, from, from_offset);
       nchars--;
@@ -733,7 +733,7 @@
 /* Factor the extern out */
 extern const CHARSET_INFO *system_charset_info, *files_charset_info;
 
-void String::append_identifier(const char *name, uint32_t in_length)
+void String::append_identifier(const char *name, size_t in_length)
 {
   const char *name_end;
   char quote_char;
@@ -788,9 +788,9 @@
   std::swap(str_charset, s.str_charset);
 }
 
-void String::q_append(const uint32_t n)
+void String::q_append(const size_t n)
 {
-  int4store(Ptr + str_length, n);
+  int8store(Ptr + str_length, n);
   str_length += 4;
 }
 void String::q_append(double d)
@@ -803,15 +803,15 @@
   float8store(Ptr + str_length, *d);
   str_length += 8;
 }
-void String::q_append(const char *data, uint32_t data_len)
+void String::q_append(const char *data, size_t data_len)
 {
   memcpy(Ptr + str_length, data, data_len);
   str_length += data_len;
 }
 
-void String::write_at_position(int position, uint32_t value)
+void String::write_at_position(int position, size_t value)
 {
-  int4store(Ptr + position,value);
+  int8store(Ptr + position,value);
 }
 bool check_if_only_end_space(const CHARSET_INFO * const cs, char *str,
                              char *end)

=== modified file 'drizzled/sql_string.h'
--- drizzled/sql_string.h	2010-02-05 08:11:15 +0000
+++ drizzled/sql_string.h	2010-10-06 18:16:00 +0000
@@ -47,12 +47,12 @@
 
 int sortcmp(const String *a,const String *b, const CHARSET_INFO * const cs);
 int stringcmp(const String *a,const String *b);
-String *copy_if_not_alloced(String *a,String *b,uint32_t arg_length);
-uint32_t well_formed_copy_nchars(const CHARSET_INFO * const to_cs,
-                                 char *to, uint32_t to_length,
+String *copy_if_not_alloced(String *a,String *b,size_t arg_length);
+size_t well_formed_copy_nchars(const CHARSET_INFO * const to_cs,
+                                 char *to, size_t to_length,
                                  const CHARSET_INFO * const from_cs,
-                                 const char *from, uint32_t from_length,
-                                 uint32_t nchars,
+                                 const char *from, size_t from_length,
+                                 size_t nchars,
                                  const char **well_formed_error_pos,
                                  const char **cannot_convert_error_pos,
                                  const char **from_end_pos);
@@ -61,16 +61,16 @@
 class String
 {
   char *Ptr;
-  uint32_t str_length,Alloced_length;
+  size_t str_length,Alloced_length;
   bool alloced;
   const CHARSET_INFO *str_charset;
 
 public:
   String();
-  String(uint32_t length_arg);
+  String(size_t length_arg);
   String(const char *str, const CHARSET_INFO * const cs);
-  String(const char *str, uint32_t len, const CHARSET_INFO * const cs);
-  String(char *str, uint32_t len, const CHARSET_INFO * const cs);
+  String(const char *str, size_t len, const CHARSET_INFO * const cs);
+  String(char *str, size_t len, const CHARSET_INFO * const cs);
   String(const String &str);
 
   static void *operator new(size_t size, memory::Root *mem_root);
@@ -83,10 +83,10 @@
   inline void set_charset(const CHARSET_INFO * const charset_arg)
   { str_charset= charset_arg; }
   inline const CHARSET_INFO *charset() const { return str_charset; }
-  inline uint32_t length() const { return str_length;}
-  inline uint32_t alloced_length() const { return Alloced_length;}
-  inline char& operator [] (uint32_t i) const { return Ptr[i]; }
-  inline void length(uint32_t len) { str_length=len ; }
+  inline size_t length() const { return str_length;}
+  inline size_t alloced_length() const { return Alloced_length;}
+  inline char& operator [] (size_t i) const { return Ptr[i]; }
+  inline void length(size_t len) { str_length=len ; }
   inline bool is_empty() { return (str_length == 0); }
   inline void mark_as_const() { Alloced_length= 0;}
   inline char *ptr() { return Ptr; }
@@ -122,9 +122,9 @@
       (void) realloc(str_length);
     return Ptr;
   }
-  void append_identifier(const char *name, uint32_t length);
+  void append_identifier(const char *name, size_t length);
 
-  void set(String &str,uint32_t offset,uint32_t arg_length)
+  void set(String &str,size_t offset,size_t arg_length)
   {
     assert(&str != this);
     free();
@@ -135,21 +135,21 @@
       Alloced_length=0;
     str_charset=str.str_charset;
   }
-  inline void set(char *str,uint32_t arg_length, const CHARSET_INFO * const cs)
+  inline void set(char *str,size_t arg_length, const CHARSET_INFO * const cs)
   {
     free();
     Ptr= str; str_length=Alloced_length=arg_length ; alloced=0;
     str_charset=cs;
   }
-  inline void set(const char *str,uint32_t arg_length, const CHARSET_INFO * const cs)
+  inline void set(const char *str,size_t arg_length, const CHARSET_INFO * const cs)
   {
     free();
     Ptr= const_cast<char*>(str);
     str_length=arg_length; Alloced_length=0 ; alloced=0;
     str_charset=cs;
   }
-  bool set_ascii(const char *str, uint32_t arg_length);
-  inline void set_quick(char *str,uint32_t arg_length, const CHARSET_INFO * const cs)
+  bool set_ascii(const char *str, size_t arg_length);
+  inline void set_quick(char *str,size_t arg_length, const CHARSET_INFO * const cs)
   {
     if (!alloced)
     {
@@ -162,7 +162,7 @@
   { return set_int(num, false, cs); }
   bool set(uint64_t num, const CHARSET_INFO * const cs)
   { return set_int(static_cast<int64_t>(num), true, cs); }
-  bool set_real(double num,uint32_t decimals, const CHARSET_INFO * const cs);
+  bool set_real(double num,size_t decimals, const CHARSET_INFO * const cs);
 
   /*
     PMG 2004.11.12
@@ -202,15 +202,15 @@
       str_length=0;				/* Safety */
     }
   }
-  inline bool alloc(uint32_t arg_length)
+  inline bool alloc(size_t arg_length)
   {
     if (arg_length < Alloced_length)
       return 0;
     return real_alloc(arg_length);
   }
-  bool real_alloc(uint32_t arg_length);			// Empties old string
-  bool realloc(uint32_t arg_length);
-  inline void shrink(uint32_t arg_length)		// Shrink buffer
+  bool real_alloc(size_t arg_length);			// Empties old string
+  bool realloc(size_t arg_length);
+  inline void shrink(size_t arg_length)		// Shrink buffer
   {
     if (arg_length < Alloced_length)
     {
@@ -246,23 +246,23 @@
 
   bool copy();					// Alloc string if not alloced
   bool copy(const String &s);			// Allocate new string
-  bool copy(const char *s,uint32_t arg_length, const CHARSET_INFO * const cs);	// Allocate new string
-  static bool needs_conversion(uint32_t arg_length,
+  bool copy(const char *s,size_t arg_length, const CHARSET_INFO * const cs);	// Allocate new string
+  static bool needs_conversion(size_t arg_length,
   			       const CHARSET_INFO * const cs_from, const CHARSET_INFO * const cs_to,
-			       uint32_t *offset);
-  bool set_or_copy_aligned(const char *s, uint32_t arg_length, const CHARSET_INFO * const cs);
-  bool copy(const char*s,uint32_t arg_length, const CHARSET_INFO * const csfrom,
-	    const CHARSET_INFO * const csto, uint32_t *errors);
+			       size_t *offset);
+  bool set_or_copy_aligned(const char *s, size_t arg_length, const CHARSET_INFO * const cs);
+  bool copy(const char*s,size_t arg_length, const CHARSET_INFO * const csfrom,
+	    const CHARSET_INFO * const csto, size_t *errors);
   bool append(const String &s);
   bool append(const char *s);
-  bool append(const char *s,uint32_t arg_length);
-  bool append(const char *s,uint32_t arg_length, const CHARSET_INFO * const cs);
-  bool append_with_prefill(const char *s, uint32_t arg_length,
-			   uint32_t full_length, char fill_char);
-  int strstr(const String &search,uint32_t offset=0); // Returns offset to substring or -1
-  int strrstr(const String &search,uint32_t offset=0); // Returns offset to substring or -1
-  bool replace(uint32_t offset,uint32_t arg_length,const char *to,uint32_t length);
-  bool replace(uint32_t offset,uint32_t arg_length,const String &to);
+  bool append(const char *s,size_t arg_length);
+  bool append(const char *s,size_t arg_length, const CHARSET_INFO * const cs);
+  bool append_with_prefill(const char *s, size_t arg_length,
+			   size_t full_length, char fill_char);
+  int strstr(const String &search,size_t offset=0); // Returns offset to substring or -1
+  int strrstr(const String &search,size_t offset=0); // Returns offset to substring or -1
+  bool replace(size_t offset,size_t arg_length,const char *to,size_t length);
+  bool replace(size_t offset,size_t arg_length,const String &to);
   inline bool append(char chr)
   {
     if (str_length < Alloced_length)
@@ -279,15 +279,15 @@
   }
   friend int sortcmp(const String *a,const String *b, const CHARSET_INFO * const cs);
   friend int stringcmp(const String *a,const String *b);
-  friend String *copy_if_not_alloced(String *a,String *b,uint32_t arg_length);
-  uint32_t numchars();
-  int charpos(int i,uint32_t offset=0);
+  friend String *copy_if_not_alloced(String *a,String *b,size_t arg_length);
+  size_t numchars();
+  int charpos(int i,size_t offset=0);
 
-  int reserve(uint32_t space_needed)
+  int reserve(size_t space_needed)
   {
     return realloc(str_length + space_needed);
   }
-  int reserve(uint32_t space_needed, uint32_t grow_by);
+  int reserve(size_t space_needed, size_t grow_by);
 
   /*
     The following append operations do NOT check alloced memory
@@ -295,30 +295,30 @@
     qs_*** methods writes string representation of value
   */
   void q_append(const char c);
-  void q_append(const uint32_t n);
+  void q_append(const size_t n);
   void q_append(double d);
   void q_append(double *d);
-  void q_append(const char *data, uint32_t data_len);
-  void write_at_position(int position, uint32_t value);
+  void q_append(const char *data, size_t data_len);
+  void write_at_position(int position, size_t value);
 
   /* Inline (general) functions used by the protocol functions */
 
-  inline char *prep_append(uint32_t arg_length, uint32_t step_alloc)
+  inline char *prep_append(size_t arg_length, size_t step_alloc)
   {
-    uint32_t new_length= arg_length + str_length;
+    size_t new_length= arg_length + str_length;
     if (new_length > Alloced_length)
     {
       if (realloc(new_length + step_alloc))
         return 0;
     }
-    uint32_t old_length= str_length;
+    size_t old_length= str_length;
     str_length+= arg_length;
     return Ptr+ old_length;			/* Area to use */
   }
 
-  inline bool append(const char *s, uint32_t arg_length, uint32_t step_alloc)
+  inline bool append(const char *s, size_t arg_length, size_t step_alloc)
   {
-    uint32_t new_length= arg_length + str_length;
+    size_t new_length= arg_length + str_length;
     if (new_length > Alloced_length && realloc(new_length + step_alloc))
       return true;
     memcpy(Ptr+str_length, s, arg_length);

=== modified file 'drizzled/sql_table.cc'
--- drizzled/sql_table.cc	2010-10-02 21:15:42 +0000
+++ drizzled/sql_table.cc	2010-10-06 18:16:00 +0000
@@ -643,7 +643,7 @@
 
     if (sql_field->sql_type == DRIZZLE_TYPE_ENUM)
     {
-      uint32_t dummy;
+      size_t dummy;
       const CHARSET_INFO * const cs= sql_field->charset;
       TYPELIB *interval= sql_field->interval;
 
@@ -676,7 +676,7 @@
           if (String::needs_conversion(tmp->length(), tmp->charset(),
                                        cs, &dummy))
           {
-            uint32_t cnv_errs;
+            size_t cnv_errs;
             conv.copy(tmp->ptr(), tmp->length(), tmp->charset(), cs, &cnv_errs);
             interval->type_names[i]= session->mem_root->strmake_root(conv.ptr(), conv.length());
             interval->type_lengths[i]= conv.length();
@@ -718,7 +718,8 @@
             }
           }
         }
-        calculate_interval_lengths(cs, interval, &field_length, &dummy);
+        uint32_t new_dummy;
+        calculate_interval_lengths(cs, interval, &field_length, &new_dummy);
         sql_field->length= field_length;
       }
       set_if_smaller(sql_field->length, (uint32_t)MAX_FIELD_WIDTH-1);

